use std::ffi::OsStr;
use std::path::PathBuf;
use crate::config::Config;

#[derive(Debug, Clone)]
pub struct Launcher {

}


impl Launcher {
    pub fn new() -> Self {
        Self {
        
        }
    }
    pub fn get_modpacks(config: &Config) -> anyhow::Result<Vec<String>> {
        let mut packs = Vec::new(); 
        let mut modpack_dir = config.get_arma_pfx_path().clone();
        modpack_dir.push("users/steamuser/AppData/Local/Arma 3 Launcher/Presets/");
        for itm in std::fs::read_dir(modpack_dir)? {
            let itm = itm?;
            if itm.file_type()?.is_file() {
                if itm.path().extension() == Some(OsStr::new("preset2")) {
                    let fln = itm.path().with_extension(""); 
                    packs.push(fln.file_name().unwrap().to_string_lossy().to_string());
                }
            }
        }
        Ok(packs)
    }
    pub fn start_arma(config: &Config) -> anyhow::Result<()> {
         
        Ok(())
    }
}
